- Main Page
- Data Structures
- Files
- Directories

- Search for |

- File List
- Globals

# net.c File Reference

`#include <ubixos/types.h>`
`#include <net/sockets.h>`
`#include <string.h>`
`#include "lib/kprintf.h"`

Include dependency graph for net.c:

Go to the source code of this file.

## Typedefs
typedef uInt32 | in_addr_t
## Functions
void | bcopy (const void *src, void *dest, int len)
void | bzero (void *data, int n)
uInt32 | htonl (uInt32 n)
uInt32 | htons (uInt32 n)
int | inet_aton (char *cp, struct in_addr *addr) const

## Typedef Documentation

typedef uInt32 in_addr_t

Definition at line 84 of file net.c.

## Function Documentation

void bcopy | ( | const void * | src,
|  | void * | dest,
|  | int | len |
| ) |  |  |

Definition at line 103 of file net.c.

References memcpy().

Here is the call graph for this function:

void bzero | ( | void * | data,
|  | int | n |
| ) |  |  |

Definition at line 107 of file net.c.

References memset().

Here is the call graph for this function:

uInt32 htonl | ( | uInt32 | n | ) |

Definition at line 88 of file net.c.

Referenced by inet_aton().

uInt32 htons | ( | uInt32 | n | ) |

Definition at line 97 of file net.c.

int inet_aton | ( | char * | cp,
|  | struct in_addr * | addr |
| ) |  |  | const

Definition at line 112 of file net.c.

References htonl(), kprintf(), NULL, and strtol().

Here is the call graph for this function: